<div class="clearfix" style="margin-bottom: 20px">
    <div class="pull-right btn-group">
        <a routerLink="/users/create" class="btn btn-primary">{{'FORM.MODEL.ADD' | translate:param}}</a>
    </div>
</div>
<app-box [noPadding]="true" [loading]="users.loading | async">
    <table class="table table-striped">
        <thead>
        <tr>
            <th></th>
            <th>{{'USER.EMAIL' | translate}}</th>
            <th>{{'USER.NAME' | translate}}</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let user of users.users | async">
            <td>
                <img src="{{user.avatar}}" width="30">
            </td>
            <td><a routerLink="/users/{{user.id}}">{{user.email}}</a></td>
            <td>{{user.name}}</td>
            <td>
                <div class="btn-group pull-right">
                    <a class="btn btn-default btn-small" routerLink="/users/{{user.id}}">{{'FORM.MODEL.EDIT' | translate:param}}</a>
                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                        <span class="caret"></span>
                        <span class="sr-only">Toggle Dropdown</span>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="/users{{user.id}}/delete" (click)="deleteUser($event, user)">{{'FORM.MODEL.DELETE' | translate:param}}</a></li>
                    </ul>
                </div>
            </td>
        </tr>
        </tbody>
    </table>
</app-box>
